#if !defined(AFX_KDIOFORM_H__04FECDC6_C89F_4C05_A67C_B05C2E10D7E7__INCLUDED_)
#define AFX_KDIOFORM_H__04FECDC6_C89F_4C05_A67C_B05C2E10D7E7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KDIOForm.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CKDIOForm ダイアログ

class CKDIOForm : public CDialog
{
// コンストラクション
public:
	void SetId(short Id);
	CKDIOForm(CWnd* pParent = NULL);   // 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CKDIOForm)
	enum { IDD = IDD_KDIOFORM_DIALOG };
	int		m_P1IoSel;
	int		m_P2IoSel;
	BOOL	m_P1Out0;
	BOOL	m_P1Out1;
	BOOL	m_P1Out2;
	BOOL	m_P1Out3;
	BOOL	m_P1Out4;
	BOOL	m_P1Out5;
	BOOL	m_P1Out6;
	BOOL	m_P1Out7;
	BOOL	m_P2Out0;
	BOOL	m_P2Out1;
	BOOL	m_P2Out2;
	BOOL	m_P2Out3;
	BOOL	m_P2Out4;
	BOOL	m_P2Out5;
	BOOL	m_P2Out6;
	BOOL	m_P2Out7;
	CString	m_P1Status0;
	CString	m_P1Status1;
	CString	m_P1Status2;
	CString	m_P1Status3;
	CString	m_P1Status4;
	CString	m_P1Status5;
	CString	m_P1Status6;
	CString	m_P1Status7;
	CString	m_P2Status0;
	CString	m_P2Status1;
	CString	m_P2Status2;
	CString	m_P2Status3;
	CString	m_P2Status4;
	CString	m_P2Status5;
	CString	m_P2Status6;
	CString	m_P2Status7;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CKDIOForm)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CKDIOForm)
	afx_msg void OnP1iosel1();
	afx_msg void OnP1iosel2();
	afx_msg void OnP2iosel1();
	afx_msg void OnP2iosel2();
	afx_msg void OnP1out0();
	afx_msg void OnP1out1();
	afx_msg void OnP1out2();
	afx_msg void OnP1out3();
	afx_msg void OnP1out4();
	afx_msg void OnP1out5();
	afx_msg void OnP1out6();
	afx_msg void OnP1out7();
	afx_msg void OnP2out0();
	afx_msg void OnP2out1();
	afx_msg void OnP2out2();
	afx_msg void OnP2out3();
	afx_msg void OnP2out4();
	afx_msg void OnP2out5();
	afx_msg void OnP2out6();
	afx_msg void OnP2out7();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString HLCheck(BYTE Data, int Bit);
	void IoCheck();
	void P2Out();
	void P1Out();
	void ErrorDisp(short ErrCode);
	short DevId;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_KDIOFORM_H__04FECDC6_C89F_4C05_A67C_B05C2E10D7E7__INCLUDED_)
